# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class DataFeed

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Source
                  com.google.gdata.data.BaseFeed<DataFeed,DataEntry>
                      com.google.gdata.data.analytics.DataFeed

All Implemented Interfaces:
  Extension, IAtom, IFeed, Kind.Adaptable, Kind.Adaptor

    public class DataFeed

extends BaseFeed<DataFeed,DataEntry>

Feed element in data feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseFeed
`BaseFeed.FeedHandler, BaseFeed.FeedState`

Nested classes/interfaces inherited from class com.google.gdata.data.Source
`Source.SourceHandler, Source.SourceState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseFeed
`entries, entryClass, feedState`

Fields inherited from class com.google.gdata.data.Source
`srcState`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`DataFeed()` Default mutable constructor.
`DataFeed(BaseFeed<?,?> sourceFeed)` Constructs a new instance by doing a shallow copy of data from an existing `BaseFeed` instance.

Method Summary
`void` `addDataSource(DataSource dataSource)` Adds a new data source.
`void` `addSegment(Segment segment)` Adds a new segment.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Aggregates` `getAggregates()` Returns the aggregates.
`ContainsSampledData` `getContainsSampledData()` Returns the flag indicating whether response contains sampled data.
`java.util.List<DataSource>` `getDataSources()` Returns the data sources.
`EndDate` `getEndDate()` Returns the end date.
`java.util.List<Segment>` `getSegments()` Returns the segments.
`StartDate` `getStartDate()` Returns the start date.
`boolean` `hasAggregates()` Returns whether it has the aggregates.
`boolean` `hasContainsSampledData()` Returns whether it has the flag indicating whether response contains sampled data.
`boolean` `hasDataSources()` Returns whether it has the data sources.
`boolean` `hasEndDate()` Returns whether it has the end date.
`boolean` `hasSegments()` Returns whether it has the segments.
`boolean` `hasStartDate()` Returns whether it has the start date.
`void` `setAggregates(Aggregates aggregates)` Sets the aggregates.
`void` `setContainsSampledData(ContainsSampledData containsSampledData)` Sets the flag indicating whether response contains sampled data.
`void` `setEndDate(EndDate endDate)` Sets the end date.
`void` `setStartDate(StartDate startDate)` Sets the start date.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseFeed

`addAdaptor, createEntry, generate, generateAtom, generateFeedEnd, generateFeedStart, generateRss, getAdaptedFeed, getAdaptor, getAdaptors, getCanPost, getEntries, getEntries, getEntryPostLink, getEtag, getFeedBatchLink, getHandler, getItemsPerPage, getKind, getNextLink, getPreviousLink, getSelectedFields, getSelf, getSelfLink, getService, getStartIndex, getTotalResults, getVersionId, insert, parseAtom, parseAtom, parseAtom, readFeed, readFeed, setCanPost, setEntries, setEtag, setItemsPerPage, setKind, setSelectedFields, setService, setStartIndex, setTotalResults, setVersionId, visitChildren`

Methods inherited from class com.google.gdata.data.Source
`addHtmlLink, addLink, addLink, generateInnerAtom, getAuthors, getCategories, getContributors, getGenerator, getHtmlLink, getIcon, getId, getLink, getLinks, getLinks, getLogo, getRights, getSubtitle, getTitle, getUpdated, removeLinks, removeLinks, setGenerator, setGenerator, setIcon, setId, setLogo, setRights, setSubtitle, setTitle, setUpdated`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IFeed
`getGenerator, getLogo, getSubtitle, setGenerator, setLogo`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getId, getLink, getLinks, getTitle, getUpdated, removeLinks, removeLinks, setId, setUpdated`

Constructor Detail

### DataFeed

    public DataFeed()

  Default mutable constructor.

### DataFeed

    public DataFeed(BaseFeed<?,?> sourceFeed)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseFeed` instance.

  Parameters:
    `sourceFeed` - source feed

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `BaseFeed`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  The implementation of this method for BaseFeed will declare any extensions associated with the contained entry type.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `BaseFeed<DataFeed,DataEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getAggregates

    public Aggregates getAggregates()

  Returns the aggregates.

  Returns:
    aggregates

### setAggregates

    public void setAggregates(Aggregates aggregates)

  Sets the aggregates.

  Parameters:
    `aggregates` - aggregates or `null` to reset

### hasAggregates

    public boolean hasAggregates()

  Returns whether it has the aggregates.

  Returns:
    whether it has the aggregates

### getContainsSampledData

    public ContainsSampledData getContainsSampledData()

  Returns the flag indicating whether response contains sampled data.

  Returns:
    flag indicating whether response contains sampled data

### setContainsSampledData

    public void setContainsSampledData(ContainsSampledData containsSampledData)

  Sets the flag indicating whether response contains sampled data.

  Parameters:
    `containsSampledData` - flag indicating whether response contains sampled data or `null` to reset

### hasContainsSampledData

    public boolean hasContainsSampledData()

  Returns whether it has the flag indicating whether response contains sampled data.

  Returns:
    whether it has the flag indicating whether response contains sampled data

### getDataSources

    public java.util.List<DataSource> getDataSources()

  Returns the data sources.

  Returns:
    data sources

### addDataSource

    public void addDataSource(DataSource dataSource)

  Adds a new data source.

  Parameters:
    `dataSource` - data source

### hasDataSources

    public boolean hasDataSources()

  Returns whether it has the data sources.

  Returns:
    whether it has the data sources

### getEndDate

    public EndDate getEndDate()

  Returns the end date.

  Returns:
    end date

### setEndDate

    public void setEndDate(EndDate endDate)

  Sets the end date.

  Parameters:
    `endDate` - end date or `null` to reset

### hasEndDate

    public boolean hasEndDate()

  Returns whether it has the end date.

  Returns:
    whether it has the end date

### getSegments

    public java.util.List<Segment> getSegments()

  Returns the segments.

  Returns:
    segments

### addSegment

    public void addSegment(Segment segment)

  Adds a new segment.

  Parameters:
    `segment` - segment

### hasSegments

    public boolean hasSegments()

  Returns whether it has the segments.

  Returns:
    whether it has the segments

### getStartDate

    public StartDate getStartDate()

  Returns the start date.

  Returns:
    start date

### setStartDate

    public void setStartDate(StartDate startDate)

  Sets the start date.

  Parameters:
    `startDate` - start date or `null` to reset

### hasStartDate

    public boolean hasStartDate()

  Returns whether it has the start date.

  Returns:
    whether it has the start date

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`